﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Miracle.Mvc.PartyInvites.Controllers
{
    public class HomeController : Controller
    {
        /*
        public string Index() 
        {
            return "Hello, Miracle";
        }
        */
        public ViewResult Index()
        {
            var hour = DateTime.Now.Hour;
            ViewBag.Greeting = hour < 12 ? "Good Morning" : "Good Afternoon";
            return View();
        }
        [HttpGet]
        public ViewResult RsvpForm()
        {
            return View();
        }
        [HttpPost]
        public ViewResult RsvpForm(Models.Guest guest)
        {
            if (ModelState.IsValid)
            {
                //TODO: send email to response the organizer
                return View("Thanks", guest);
            }
            else
            {
                return View();
            }
        }
        public ViewResult Thanks()
        {
            return View();
        }
    }
}